Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation Class Reference

## Public Member Functions
| __construct ( $id, $parentId, $name, $isAlwaysAvailable, $isPathIdentificationStringModified, $newId)

## Public Attributes
| $id
| $parentId
| $name
| $isAlwaysAvailable
| $isPathIdentificationStringModified
| $newId

## Detailed Description

To be used internally by UrlAlias Persistence Handler.

Definition at line 12 of file UrlAliasForSwappedLocation.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation::__construct | ( |  | $id,
|  |  | $parentId,
|  |  | $name,
|  |  | $isAlwaysAvailable,
|  |  | $isPathIdentificationStringModified,
|  |  | $newId
| ) |  |

Definition at line 14 of file UrlAliasForSwappedLocation.php.

References eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation\$id, eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation\$isAlwaysAvailable, eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation\$isPathIdentificationStringModified, eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation\$name, eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation\$newId, and eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation\$parentId.

## Member Data Documentation

## ◆ $id

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation::$id

Definition at line 31 of file UrlAliasForSwappedLocation.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation\__construct().

## ◆ $isAlwaysAvailable

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation::$isAlwaysAvailable

Definition at line 40 of file UrlAliasForSwappedLocation.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation\__construct().

## ◆ $isPathIdentificationStringModified

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation::$isPathIdentificationStringModified

Definition at line 43 of file UrlAliasForSwappedLocation.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation\__construct().

## ◆ $name

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation::$name

Definition at line 37 of file UrlAliasForSwappedLocation.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation\__construct().

## ◆ $newId

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation::$newId

Definition at line 46 of file UrlAliasForSwappedLocation.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation\__construct().

## ◆ $parentId

eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation::$parentId

Definition at line 34 of file UrlAliasForSwappedLocation.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\DTO\UrlAliasForSwappedLocation\__construct().

The documentation for this class was generated from the following file:

- UrlAliasForSwappedLocation.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.